package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsBidTender;
import java.util.List;

public interface IPmsBidTenderService {
    /**
     * 查询投标列表
     */
    List<PmsBidTender> selectList(PmsBidTender bidTender);

    /**
     * 根据主键查询投标
     */
    PmsBidTender selectById(Long id);

    /**
     * 新增投标
     */
    int insert(PmsBidTender bidTender);

    /**
     * 修改投标
     */
    int update(PmsBidTender bidTender);

    /**
     * 删除投标
     */
    int deleteById(Long id);

    /**
     * 批量删除投标
     */
    int deleteByIds(Long[] ids);
}
